Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7502 - rc.sysinit attempts to load disable sound modules and displays [FAILED] message
Summary: rc.sysinit attempts to load disable sound modules and displays [FAILED] message
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-02 00:46 UTC by Ross Williams
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-21 06:11:01 UTC


Attachments (Terms of Use)

Description Ross Williams 1999-12-02 00:46:39 UTC
rc.sysinit's very basic logic for checking whether sound modules are
configured results in a [FAILED] message to appear upon boot if the line:
	alias sound off
OR
	alias midi off
appears in conf.modules. This creates problems for us hedonists who use
4Front's OSS. OSS doesn't like to use modprobe and therefore requires that
the aliases be disabled. When modprobe encounters alias * off it returns a
non-zero result that the action subroutine interprets as a failure. It
would be nice not to have big, red [FAILED] messages on my screen at every
boot. Thanks for any consideration.

Comment 1 hno 1999-12-23 11:25:59 UTC
I wote that the sound initialization is completely removed from rc.sysinit. This
is much better done on demand by kmod, or in another init script.

I have removed this from my rc.sysinit script, and uninstalled the sound init
script from all runlevels, and instead use the following settings in
/etc/conf.modules (for SB16)

alias sound-slot-0 sb
alias synth0 opl3
options sound dmabuf=1
options opl3 io=0x388
options sb io=0x220 irq=5 dma=1 dma16=5 mpu_io=0x330
pre-remove sb /etc/rc.d/init.d/sound stop >/dev/console 2>&1
post-install sb /etc/rc.d/init.d/sound start >/dev/console 2>&1

By the way, why doesn't OSS like modprobe? It is after all the standard method
for loading modules..

Comment 2 Ross Williams 1999-12-23 18:15:59 UTC
The issue with OSS not liking kmod is strange. It needs to load a wrapper
modules that is kernel-version specific called sndshield. Then other modules
have to loaded under that. Probably a huge list of dependencies in modules.dep
would do it, but I'm not sure that depmod will generate those dependencies. I'll
look into that.

Comment 3 Bill Nottingham 2000-01-21 06:11:59 UTC
Will be fixed in initscripts-4.84-1, in that it won't try to load an
'off' alias.

Oddly enough, modutils-2.3.9 returns 0 for 'modprobe off'.


Note You need to log in before you can comment on or make changes to this bug.